# Cap Creator


run the app with


# Notes
https://grails-plugins.github.io/grails-spring-security-core/2.0.x/guide/userDetailsService.html
https://github.com/alvarosanchez/grails-spring-security-rest/blob/ffa848c9c6dd82f92f2ab489cb5d7a1515c587f2/spring-security-rest/src/main/groovy/grails/plugin/springsecurity/rest/RestAuthenticationProvider.groovy

This SO Post explains how to get a full dump of keycloak if you want to modify the baseline configuraiton for the integraton test

https://stackoverflow.com/questions/48930281/export-all-users-from-keycloak
